Skip to content

# Interface: IPodContainerStatus

## Hierarchy

- IPodContainerStatus

## Index

### Properties

- containerID
- image
- imageID
- lastState
- name
- ready
- restartCount
- started
- state

## Properties

### `Optional` containerID

• containerID? : string

Defined in src/renderer/api/endpoints/pods.api.ts:180

### image

• image: string

Defined in src/renderer/api/endpoints/pods.api.ts:178

### imageID

• imageID: string

Defined in src/renderer/api/endpoints/pods.api.ts:179

### `Optional` lastState

• lastState? : object

Defined in src/renderer/api/endpoints/pods.api.ts:160

#### Type declaration:

- [ index: string]: object

- running(): object

- startedAt: string

- terminated(): object

- exitCode: number

- finishedAt: string

- reason: string

- startedAt: string

- waiting(): object

- message: string

- reason: string

### name

• name: string

Defined in src/renderer/api/endpoints/pods.api.ts:143

### ready

• ready: boolean

Defined in src/renderer/api/endpoints/pods.api.ts:176

### restartCount

• restartCount: number

Defined in src/renderer/api/endpoints/pods.api.ts:177

### `Optional` started

• started? : boolean

Defined in src/renderer/api/endpoints/pods.api.ts:181

### `Optional` state

• state? : object

Defined in src/renderer/api/endpoints/pods.api.ts:144

#### Type declaration:

- [ index: string]: object

- running(): object

- startedAt: string

- terminated(): object

- exitCode: number

- finishedAt: string

- reason: string

- startedAt: string

- waiting(): object

- message: string

- reason: string